Package org.eclipse.rdf4j.query.algebra.evaluation.function.geosparql

## Interface SpatialAlgebra

- All Known Implementing Classes:
    `JtsSpatialAlgebra`

      public interface SpatialAlgebra

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.locationtech.spatial4j.shape.Shape` | `boundary​(org.locationtech.spatial4j.shape.Shape s)` |
    `org.locationtech.spatial4j.shape.Shape` | `buffer​(org.locationtech.spatial4j.shape.Shape s, double distance)` |
    `org.locationtech.spatial4j.shape.Shape` | `convexHull​(org.locationtech.spatial4j.shape.Shape s)` |
    `org.locationtech.spatial4j.shape.Shape` | `difference​(org.locationtech.spatial4j.shape.Shape s1, org.locationtech.spatial4j.shape.Shape s2)` |
    `boolean` | `ehContains​(org.locationtech.spatial4j.shape.Shape s1, org.locationtech.spatial4j.shape.Shape s2)` |
    `boolean` | `ehCoveredBy​(org.locationtech.spatial4j.shape.Shape s1, org.locationtech.spatial4j.shape.Shape s2)` |
    `boolean` | `ehCovers​(org.locationtech.spatial4j.shape.Shape s1, org.locationtech.spatial4j.shape.Shape s2)` |
    `boolean` | `ehDisjoint​(org.locationtech.spatial4j.shape.Shape s1, org.locationtech.spatial4j.shape.Shape s2)` |
    `boolean` | `ehEquals​(org.locationtech.spatial4j.shape.Shape s1, org.locationtech.spatial4j.shape.Shape s2)` |
    `boolean` | `ehInside​(org.locationtech.spatial4j.shape.Shape s1, org.locationtech.spatial4j.shape.Shape s2)` |
    `boolean` | `ehMeet​(org.locationtech.spatial4j.shape.Shape s1, org.locationtech.spatial4j.shape.Shape s2)` |
    `boolean` | `ehOverlap​(org.locationtech.spatial4j.shape.Shape s1, org.locationtech.spatial4j.shape.Shape s2)` |
    `org.locationtech.spatial4j.shape.Shape` | `envelope​(org.locationtech.spatial4j.shape.Shape s)` |
    `org.locationtech.spatial4j.shape.Shape` | `intersection​(org.locationtech.spatial4j.shape.Shape s1, org.locationtech.spatial4j.shape.Shape s2)` |
    `boolean` | `rcc8dc​(org.locationtech.spatial4j.shape.Shape s1, org.locationtech.spatial4j.shape.Shape s2)` |
    `boolean` | `rcc8ec​(org.locationtech.spatial4j.shape.Shape s1, org.locationtech.spatial4j.shape.Shape s2)` |
    `boolean` | `rcc8eq​(org.locationtech.spatial4j.shape.Shape s1, org.locationtech.spatial4j.shape.Shape s2)` |
    `boolean` | `rcc8ntpp​(org.locationtech.spatial4j.shape.Shape s1, org.locationtech.spatial4j.shape.Shape s2)` |
    `boolean` | `rcc8ntppi​(org.locationtech.spatial4j.shape.Shape s1, org.locationtech.spatial4j.shape.Shape s2)` |
    `boolean` | `rcc8po​(org.locationtech.spatial4j.shape.Shape s1, org.locationtech.spatial4j.shape.Shape s2)` |
    `boolean` | `rcc8tpp​(org.locationtech.spatial4j.shape.Shape s1, org.locationtech.spatial4j.shape.Shape s2)` |
    `boolean` | `rcc8tppi​(org.locationtech.spatial4j.shape.Shape s1, org.locationtech.spatial4j.shape.Shape s2)` |
    `boolean` | `relate​(org.locationtech.spatial4j.shape.Shape s1, org.locationtech.spatial4j.shape.Shape s2, String intersectionPattern)` |
    `boolean` | `sfContains​(org.locationtech.spatial4j.shape.Shape s1, org.locationtech.spatial4j.shape.Shape s2)` |
    `boolean` | `sfCrosses​(org.locationtech.spatial4j.shape.Shape s1, org.locationtech.spatial4j.shape.Shape s2)` |
    `boolean` | `sfDisjoint​(org.locationtech.spatial4j.shape.Shape s1, org.locationtech.spatial4j.shape.Shape s2)` |
    `boolean` | `sfEquals​(org.locationtech.spatial4j.shape.Shape s1, org.locationtech.spatial4j.shape.Shape s2)` |
    `boolean` | `sfIntersects​(org.locationtech.spatial4j.shape.Shape s1, org.locationtech.spatial4j.shape.Shape s2)` |
    `boolean` | `sfOverlaps​(org.locationtech.spatial4j.shape.Shape s1, org.locationtech.spatial4j.shape.Shape s2)` |
    `boolean` | `sfTouches​(org.locationtech.spatial4j.shape.Shape s1, org.locationtech.spatial4j.shape.Shape s2)` |
    `boolean` | `sfWithin​(org.locationtech.spatial4j.shape.Shape s1, org.locationtech.spatial4j.shape.Shape s2)` |
    `org.locationtech.spatial4j.shape.Shape` | `symDifference​(org.locationtech.spatial4j.shape.Shape s1, org.locationtech.spatial4j.shape.Shape s2)` |
    `org.locationtech.spatial4j.shape.Shape` | `union​(org.locationtech.spatial4j.shape.Shape s1, org.locationtech.spatial4j.shape.Shape s2)` |

- - ### Method Detail

    - #### buffer

          org.locationtech.spatial4j.shape.Shape buffer​(org.locationtech.spatial4j.shape.Shape s,
                                                        double distance)

    - #### convexHull

          org.locationtech.spatial4j.shape.Shape convexHull​(org.locationtech.spatial4j.shape.Shape s)

    - #### boundary

          org.locationtech.spatial4j.shape.Shape boundary​(org.locationtech.spatial4j.shape.Shape s)

    - #### envelope

          org.locationtech.spatial4j.shape.Shape envelope​(org.locationtech.spatial4j.shape.Shape s)

    - #### union

          org.locationtech.spatial4j.shape.Shape union​(org.locationtech.spatial4j.shape.Shape s1,
                                                       org.locationtech.spatial4j.shape.Shape s2)

    - #### intersection

          org.locationtech.spatial4j.shape.Shape intersection​(org.locationtech.spatial4j.shape.Shape s1,
                                                              org.locationtech.spatial4j.shape.Shape s2)

    - #### symDifference

          org.locationtech.spatial4j.shape.Shape symDifference​(org.locationtech.spatial4j.shape.Shape s1,
                                                               org.locationtech.spatial4j.shape.Shape s2)

    - #### difference

          org.locationtech.spatial4j.shape.Shape difference​(org.locationtech.spatial4j.shape.Shape s1,
                                                            org.locationtech.spatial4j.shape.Shape s2)

    - #### relate

          boolean relate​(org.locationtech.spatial4j.shape.Shape s1,
                         org.locationtech.spatial4j.shape.Shape s2,
                         String intersectionPattern)

    - #### sfEquals

          boolean sfEquals​(org.locationtech.spatial4j.shape.Shape s1,
                           org.locationtech.spatial4j.shape.Shape s2)

    - #### sfDisjoint

          boolean sfDisjoint​(org.locationtech.spatial4j.shape.Shape s1,
                             org.locationtech.spatial4j.shape.Shape s2)

    - #### sfIntersects

          boolean sfIntersects​(org.locationtech.spatial4j.shape.Shape s1,
                               org.locationtech.spatial4j.shape.Shape s2)

    - #### sfTouches

          boolean sfTouches​(org.locationtech.spatial4j.shape.Shape s1,
                            org.locationtech.spatial4j.shape.Shape s2)

    - #### sfCrosses

          boolean sfCrosses​(org.locationtech.spatial4j.shape.Shape s1,
                            org.locationtech.spatial4j.shape.Shape s2)

    - #### sfWithin

          boolean sfWithin​(org.locationtech.spatial4j.shape.Shape s1,
                           org.locationtech.spatial4j.shape.Shape s2)

    - #### sfContains

          boolean sfContains​(org.locationtech.spatial4j.shape.Shape s1,
                             org.locationtech.spatial4j.shape.Shape s2)

    - #### sfOverlaps

          boolean sfOverlaps​(org.locationtech.spatial4j.shape.Shape s1,
                             org.locationtech.spatial4j.shape.Shape s2)

    - #### ehEquals

          boolean ehEquals​(org.locationtech.spatial4j.shape.Shape s1,
                           org.locationtech.spatial4j.shape.Shape s2)

    - #### ehDisjoint

          boolean ehDisjoint​(org.locationtech.spatial4j.shape.Shape s1,
                             org.locationtech.spatial4j.shape.Shape s2)

    - #### ehMeet

          boolean ehMeet​(org.locationtech.spatial4j.shape.Shape s1,
                         org.locationtech.spatial4j.shape.Shape s2)

    - #### ehOverlap

          boolean ehOverlap​(org.locationtech.spatial4j.shape.Shape s1,
                            org.locationtech.spatial4j.shape.Shape s2)

    - #### ehCovers

          boolean ehCovers​(org.locationtech.spatial4j.shape.Shape s1,
                           org.locationtech.spatial4j.shape.Shape s2)

    - #### ehCoveredBy

          boolean ehCoveredBy​(org.locationtech.spatial4j.shape.Shape s1,
                              org.locationtech.spatial4j.shape.Shape s2)

    - #### ehInside

          boolean ehInside​(org.locationtech.spatial4j.shape.Shape s1,
                           org.locationtech.spatial4j.shape.Shape s2)

    - #### ehContains

          boolean ehContains​(org.locationtech.spatial4j.shape.Shape s1,
                             org.locationtech.spatial4j.shape.Shape s2)

    - #### rcc8dc

          boolean rcc8dc​(org.locationtech.spatial4j.shape.Shape s1,
                         org.locationtech.spatial4j.shape.Shape s2)

    - #### rcc8ec

          boolean rcc8ec​(org.locationtech.spatial4j.shape.Shape s1,
                         org.locationtech.spatial4j.shape.Shape s2)

    - #### rcc8po

          boolean rcc8po​(org.locationtech.spatial4j.shape.Shape s1,
                         org.locationtech.spatial4j.shape.Shape s2)

    - #### rcc8tppi

          boolean rcc8tppi​(org.locationtech.spatial4j.shape.Shape s1,
                           org.locationtech.spatial4j.shape.Shape s2)

    - #### rcc8tpp

          boolean rcc8tpp​(org.locationtech.spatial4j.shape.Shape s1,
                          org.locationtech.spatial4j.shape.Shape s2)

    - #### rcc8ntpp

          boolean rcc8ntpp​(org.locationtech.spatial4j.shape.Shape s1,
                           org.locationtech.spatial4j.shape.Shape s2)

    - #### rcc8ntppi

          boolean rcc8ntppi​(org.locationtech.spatial4j.shape.Shape s1,
                            org.locationtech.spatial4j.shape.Shape s2)

    - #### rcc8eq

          boolean rcc8eq​(org.locationtech.spatial4j.shape.Shape s1,
                         org.locationtech.spatial4j.shape.Shape s2)